Skip to main content
`Ctrl`+`K`

# SNESLINESEARCHNLEQERR

Error-oriented affine-covariant globalised Newton algorithm of Deuflhard [Deu11] This linesearch is intended for Newton-type methods which are affine covariant. Affine covariance means that Newton’s method will give the same iterations for F(x) = 0 and AF(x) = 0 for any nonsingular matrix A. This is a fundamental property; the philosophy of this linesearch is that globalisations of Newton’s method should carefully preserve it.

## Options Database Keys

- -snes_linesearch_damping 1.0 - initial `lambda`

- -snes_linesearch_max_it 40 - maximum number of iterations for the line search

- -snes_linesearch_minlambda 1e-12 - minimum `lambda` allowed

## Note

Contributed by Patrick Farrell patrick.farrell@maths.ox.ac.uk

## References

[Deu11]

Peter Deuflhard. Newton Methods for Nonlinear Problems. Volume 35. Springer-Verlag, Berlin, Heidelberg, 2011. ISBN 978-3-642-23898-7. doi:10.1007/978-3-642-23899-4.

## See Also

SNES: Nonlinear Solvers, `SNESLineSearch`, `SNES`, `SNESLineSearchCreate()`, `SNESLineSearchSetType()`

## Level

advanced

## Location

src/snes/linesearch/impls/nleqerr/linesearchnleqerr.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages